#ifndef _Handle_PXCAFDoc_ColorTool_HeaderFile
#define _Handle_PXCAFDoc_ColorTool_HeaderFile

#ifndef _Standard_Macro_HeaderFile
#include <Standard_Macro.hxx>
#endif

#ifndef _Handle_PDF_Attribute_HeaderFile
#include <Handle_PDF_Attribute.hxx>
#endif
#ifndef _Standard_HeaderFile
#include <Standard.hxx>
#endif

class Standard_Persistent;
class Handle_Standard_Type;
class Handle(PDF_Attribute);
class PXCAFDoc_ColorTool;
Standard_EXPORT Handle_Standard_Type& STANDARD_TYPE(PXCAFDoc_ColorTool);

class Handle(PXCAFDoc_ColorTool) : public Handle(PDF_Attribute) {
  public:

    Handle(PXCAFDoc_ColorTool)():Handle(PDF_Attribute)() {} 
    Handle(PXCAFDoc_ColorTool)(const Handle(PXCAFDoc_ColorTool)& aHandle) : Handle(PDF_Attribute)(aHandle) 
     {
     }

    Handle(PXCAFDoc_ColorTool)(const PXCAFDoc_ColorTool* anItem) : Handle(PDF_Attribute)((PDF_Attribute *)anItem) 
     {
     }

    Handle(PXCAFDoc_ColorTool)& operator=(const Handle(PXCAFDoc_ColorTool)& aHandle)
     {
      Assign(aHandle.Access());
      return *this;
     }

    Handle(PXCAFDoc_ColorTool)& operator=(const PXCAFDoc_ColorTool* anItem)
     {
      Assign((Standard_Persistent *)anItem);
      return *this;
     }

    PXCAFDoc_ColorTool* operator->() const 
     {
      return (PXCAFDoc_ColorTool *)ControlAccess();
     }

   Standard_EXPORT static const Handle(PXCAFDoc_ColorTool) DownCast(const Handle(Standard_Persistent)& AnObject);
};
#endif
